// @ts-nocheck
import React, { useRef, useState } from "react";
import { Outlet, useRoutes, RouteObject } from "react-router-dom";
// import { isBrowser } from 'utils';
import { ElementHighlight } from "../src";
import { Template01 } from "./templates";
export const routes: RouteObject[] = [
  {
    path: "/",
    element: <Layout />,
    children: [
      { index: true, element: <Home /> },
      { path: "*", element: <Home /> },
    ],
  },
];

function App() {
  let element = useRoutes(routes);
  const isActiveRef = useRef();
  isActiveRef.current = true;

  if (typeof window === "undefined") return null;

  return (
    <>
      
      <ElementHighlight
        applicationRootElement={document.body}
        isActiveRef={isActiveRef}
        onSelect={console.log}
      >
        {element}
      </ElementHighlight>
    </>
  );
}

function Layout() {
  return (
    <>
      <Outlet />
    </>
  );
}

function Home() {
  return <Template01 />;
}

export default App;
